
Foreman - Bug #7928

Upgrading from 1.6.0 to 1.6.1 Gemfile refresh removes gem 'foreman_chef'

10/13/2014 01:58 PM - Chris Hupman

Status: Resolved   

Priority: Low   

Assignee:    

Category: Facts   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.6.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After doing an upgrade via apt-get foreman would crash when looking at facts because it could no longer find foreman_chef.

I re-added " gem 'foreman_chef' " to the Gemfile and ran bundle install to resolve the issue.

Trace from the crash:

ActiveRecord::SubclassNotFound

The single-table inheritance mechanism failed to locate the subclass: 'ForemanChef::FactName'. This error is raised because the

column 'type' is reserved for storing the class in case of inheritance. Please rename this column if you didn't intend it to be used for

storing the inheritance class or overwrite FactName.inheritance_column to use another column for that information.

app/views/fact_values/index.html.erb:15:in `_f030b23005a345b3b0c579764b57eca4'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

History

#1 - 10/14/2014 04:46 AM - Dominic Cleal

- Status changed from New to Feedback

Use ~foreman/bundler.d/Gemfile.local.rb instead, or for that matter, any file in bundler.d/ as they're all loaded - the packages won't replace those if

they're unknown.  Gemfile is a packaged file, so we need to update it between releases.

#2 - 05/17/2017 09:30 AM - Anonymous

- Status changed from Feedback to Resolved
